Subject: mc13xxx: add I2C support

From: [email-masked] (Arnaud Patard (Rtp))
Date: Thu, 19 Jan 2012 12:12:31 +0100

Marc Reilly <[email-masked]> writes:

> Hi,

Hi,

>
> This series (based on 3.2) adds I2C support for the mc13xxx family PMICs.
> The patches are similar, but not identical to my previous patches for this [1], the
> main difference being the way the config items are done in patch 2.
>
> I don't have the hardware to retest on SPI hardware, I'd appreciate if someone could 
> double check it still works.
>
> I've also got a stack of patches for the mc13xxx to follow, but should get this in
> first.

I've never looked at regmap deeply but can't it be done with regmap or is it
just a bad idea ?

Arnaud